CURLOPT_FTP_USE_EPSV(3)

NAME
CURLOPT_FTP_USE_EPSV - enable/disable use of EPSV

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_FTP_USE_EPSV, long epsv);

DESCRIPTION
Pass epsv as a long. If the value is 1, it tells curl to use the EPSV command when doing passive FTP downloads (which it does by default). Using EPSV means that it will first attempt to use EPSV before using PASV, but if you pass zero to this option, it will not try using EPSV, only plain PASV.

If the server is an IPv6 host, this option will have no effect as of 7.12.3.

DEFAULT
1

PROTOCOLS
FTP

EXAMPLE
TODO

AVAILABILITY
Along with FTP

RETURN VALUE
Returns CURLE_OK if FTP is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_FTP_USE_EPRT(3), CURLOPT_FTPPORT(3),